<?php

$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'firewall-form',
    'gridId' => 'firewall-grid',
    'action' => $model->isNewRecord ? array('create') : array()
        )
);
$class = 'span3';

echo $form->dropDownListRow($model, 'chain', $chainData, array(
    'class' => $class,
    'data-translation-id' => 'NETWORK_FIREWALL_MODEL_CHAIN',
));

echo $form->dropDownListRow($model, 'protocol', $protocolData, array(
    'class' => $class,
    'data-translation-id' => 'NETWORK_FIREWALL_MODEL_PROTOCOL',
));

echo CHtml::activeTextField($model, 'sport', array(
    'class' => $class,
    'data-translation-id' => 'NETWORK_FIREWALL_MODEL_SPORT',
));

echo CHtml::activeTextField($model, 'dport', array(
    'class' => $class,
    'data-translation-id' => 'NETWORK_FIREWALL_MODEL_DPORT',
));

echo $form->dropDownListRow($model, 'action', $actionData, array(
    'class' => $class,
    'data-translation-id' => 'NETWORK_FIREWALL_MODEL_ACTION',
));

echo $form->errorSummary($model);
$this->endWidget();
